package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ContractChangeCollection extends AbstractObjectCollection 
{
    public ContractChangeCollection()
    {
        super(ContractChangeInfo.class);
    }
    public boolean add(ContractChangeInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ContractChangeCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ContractChangeInfo item)
    {
        return removeObject(item);
    }
    public ContractChangeInfo get(int index)
    {
        return(ContractChangeInfo)getObject(index);
    }
    public ContractChangeInfo get(Object key)
    {
        return(ContractChangeInfo)getObject(key);
    }
    public void set(int index, ContractChangeInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ContractChangeInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ContractChangeInfo item)
    {
        return super.indexOf(item);
    }
}